package adminkindboxreqhandler

import (
	adminauthorizationservice "git.gocasts.ir/ebhomengo/niki/service/admin/authorization"
	adminkindboxreqservice "git.gocasts.ir/ebhomengo/niki/service/admin/kind_box_req"
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth"
	"git.gocasts.ir/ebhomengo/niki/service/notification"
)

type Handler struct {
	authSvc            authservice.Service
	adminKindBoxReqSvc adminkindboxreqservice.Service
	adminAuthorizeSvc  adminauthorizationservice.Service
	notificationSvc    notification.Service
}

func New(authSvc authservice.Service,
	adminKindBoxReqSvc adminkindboxreqservice.Service,
	adminAuthorizeSvc adminauthorizationservice.Service, notificationSvc notification.Service,
) Handler {
	return Handler{
		authSvc:            authSvc,
		adminKindBoxReqSvc: adminKindBoxReqSvc,
		adminAuthorizeSvc:  adminAuthorizeSvc,
		notificationSvc:    notificationSvc,
	}
}
