package benefactorkindboxreqparam

import (
	"git.gocasts.ir/ebhomengo/niki/entity"
	"git.gocasts.ir/ebhomengo/niki/param"
)

type GetAllRequest struct {
	Pagination param.PaginationRequest
	Sort       param.SortRequest
	Filter     param.FilterRequest
}

type GetAllResponse struct {
	AllKindBoxReq []entity.KindBoxReq      `json:"all_kind_box_req"`
	Pagination    param.PaginationResponse `json:"pagination"`
	FieldErrors   map[string]string        `json:"field_errors,omitempty"`
}
